class SimpleRenderTest
    CALLBACK ||= VRay.on(:imageReady){ @@instance.continue }
    def initialize(input_path:, output_path: )
        @@instance = self
        @skp_files = Dir.glob("#{input_path}/**/*.skp")
        @output_path = output_path
        continue
    end
	def continue
		if skp_file = @skp_files.shift
			open(skp_file)
			VRay::Throttle.new(2).handle{
				if live_scene = VRay::LiveScene.active
					live_scene["/SettingsOutput"][:img_file] = "#{@output_path}/#{File.basename(skp_file, ".skp")}.png"
					puts live_scene["/SettingsOutput"][:img_file]
					live_scene.render
				end
			}
		end
	end
    private
    def open(skp_file)
        if !Sketchup.active_model.path.empty?
            temp_file = "#{@output_path}/#{File.basename(Sketchup.active_model.path)}"
            Sketchup.active_model.save(temp_file)
            Sketchup.open_file(skp_file)
            File.delete(temp_file)
        else
            Sketchup.open_file(skp_file)
        end
    end
end

SimpleRenderTest.new(
    input_path: "input path",
    output_path: "output path"
)
